#version 330 core

uniform sampler2D textureMap;
uniform float transparency;

in vec2 uv;

out vec4 color;

void main(void)
{
	color = texture2D(textureMap, uv);
	color.w = max(color.w - (1 - transparency), 0.0);
}
