#version 330 core

uniform mat4 mvpMatrix;

layout(location=0) in vec3 position;
layout(location=1) in vec2 in_UV;

out vec2 uv;

void main(void)
{
	gl_Position = mvpMatrix * vec4(position.x, position.y, position.z, 1.0);
	uv = in_UV;
}

